//
//  MBCircleView.h
//  MBMapKit
//
//  Copyright 2011 Mapbar Inc. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "MBCircle.h"
#import "MBOverlayPathView.h"

/** @class  MBCircleView
 *
 *  @brief
 *      MBCircleView 类负责提供 MBCircle 标注对象的视觉展示。这个视图填充绘制这个标注表示的圆形区域。你可以修改继承自 MBOverlayPathView　
 *      类的属性来更变圆形的颜色或者其它绘制属性。本类通常直接使用而不是子类化。
 */
@interface MBCircleView : MBOverlayPathView

/**
 *
 *  @brief  使用指定的圆形覆盖层对象初始化并返回一个新的覆盖层视图。
 *  @param  circle  包含圆形区域绘制信息的覆盖层对象。
 *  @return 一个新的圆形覆盖层视图。
 */
- (id)initWithCircle:(MBCircle *)circle;

/** 
 *
 *  @brief  包含圆形区域绘制信息的覆盖层对象。
 */
@property (nonatomic, readonly) MBCircle *circle;


@end
