//
//  MBDriveResult.h
//  MBMapkit_library
//
//  Created by 张嘉伟 on 11-10-26.
//  Copyright 2011 Mapbar Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "MBDirections.h"
#import "MBRoute.h"
#import "MBStep.h"

/** @interface MBDriveDirections
 *
 *  @brief
 *      MBDirections对象表示返回驾车路线的结果列表
 *     
 */
@interface MBDriveDirections : MBDirections

@end

/** @interface MBDriveRoute
 *
 *  @brief
 *      MBDriveRoute对象表示驾车路线结果中存储单条路线的信息
 *     
 */
@interface MBDriveRoute : MBRoute

@end

/** @interface MBDriveStep
 *
 *  @brief
 *      MBDriveStep对象表示驾车路线结果中存储一条路线中单个路段的信息
 *     
 */
@interface MBDriveStep : MBStep 
{
@private
    NSUInteger _msgType;
    NSUInteger _turnType;
    NSUInteger _heading;
}
/** @property   msgType
 *
 *  @brief  包含此路段的描述类型。
 */
@property (nonatomic, readonly) NSUInteger msgType;

/** @property   turnType
 *
 *  @brief  包含此路段的转弯类型。
 */
@property (nonatomic, readonly) NSUInteger turnType;

/** @property   heading
 *
 *  @brief  包含此路段的朝向。
 */
@property (nonatomic, readonly) NSUInteger heading;

/** 
 *
 *  @brief 初始化MBDriveStep对象
 *  @param dictionary 包含MBDriveStep对象内容的数据字典
 *
 */
- (id)initWithDictionary:(NSDictionary *)dictionary;

@end