//
//  MBListResult.h
//  MBMapkit_library
//
//  Created by 张嘉伟 on 11-10-26.
//  Copyright 2011 Mapbar Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

/** @interface MBListResult
 *
 *  @brief
 *      MBListResult对象表示反回列表类型的结果
 */
@interface MBListResult : NSObject
{
@private
    NSDictionary *_result;
    NSUInteger _totalCount;
    NSUInteger _pageNumber;
    NSUInteger _pageCount;
    NSArray *_resultList;
}

/** @property   totalCount
 *
 *  @brief  返回结果总的数量
 */
@property (nonatomic, readonly) NSUInteger totalCount;

/** @property   pageNumber
 *
 *  @brief  返回结果的页码
 */
@property (nonatomic, readonly) NSUInteger pageNumber;

/** @property   pageNumber
 *
 *  @brief  返回结果的页码
 */
@property (nonatomic, readonly) NSUInteger pageCount;

/** @property   pageNumber
 *
 *  @brief  返回结果的列表
 */
@property (nonatomic, readonly) NSArray *resultList;

/** 
 *
 *  @brief 初始化MBListResult对象
 *  @param result 返回的结果字典
 */
- (id)initWithResult:(NSDictionary *)result;

@end