//
//  MBPolylineView.h
//  MBMapKit
//
//  Copyright 2011 Mapbar Inc. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "MBOverlayPathView.h"
#import "MBPolyline.h"

/** @interface MBPolylineView 
 *
 *  @brief
 *      MBPolylineView类提供了 MBPolyline 标注对象的视觉展示。这个视图描边这个标注表示的路径。(本类不填充路径包围的区
 *      域。)你可以修改继承自 MBOverlayPathView 类的属性来更变多线段的颜色或者其它绘制属性。本类通常直接使用而不是子类化。
 */
@interface MBPolylineView : MBOverlayPathView

/**
 *
 *  @brief  使用指定的多线段覆盖层对象初始化并返回一个新的覆盖层视图。
 *  @param  polyline    包含将要描边的路径信息的多线段覆盖层对象。这个对象必须至少含有两个顶点用于定义多线段，这样才能使
 *                      视图绘制对应的路径。
 *  @return 一个新的多线段覆盖层视图。
 */
- (id)initWithPolyline:(MBPolyline *)polyline;

/** @property   polyline
 *  
 *  @brief  包含用于绘制覆盖层信息的多线段覆盖层对象。
 */
@property (nonatomic, readonly) MBPolyline *polyline;

@end